# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vlMolecule::Bond Class Reference

The Bond class represents a bond to be used with the Molecule class. More...

`#include <Bond.hpp>`

Inheritance diagram for vlMolecule::Bond:

List of all members.

## Public Member Functions
virtual const char * | className ()
| Returns the name of the class.
| Bond ()
| Bond (const Bond &other)
unsigned int | id () const
void | setId (unsigned int id)
void | setBondType (EBondType type)
EBondType | bondType () const
void | setAtom1 (Atom *atom)
Atom * | atom1 () const
void | setAtom2 (Atom *atom)
Atom * | atom2 () const
void | setVisible (bool visible)
bool | visible () const
void | setColor (const vl::fvec4 &color)
const vl::fvec4 & | color () const
void | setUseAtomColors (bool use_atom_color)
bool | useAtomColors () const
float | radius () const
void | setRadius (float radius)
## Protected Attributes
vl::fvec4 | mColor
float | mRadius
Atom * | mAtom1
Atom * | mAtom2
EBondType | mType
unsigned int | mId
bool | mVisible
bool | mUseAtomColors

## Detailed Description

The Bond class represents a bond to be used with the Molecule class.

See also:
  - Molecule Visualization Tutorial
  - Molecule
  - Atom

## Constructor & Destructor Documentation

vlMolecule::Bond::Bond | ( |  | ) | `[inline]`

vlMolecule::Bond::Bond | ( | const Bond & | other | ) | `[inline]`

## Member Function Documentation

virtual const char* vlMolecule::Bond::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::Object.

unsigned int vlMolecule::Bond::id | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setId | ( | unsigned int | id | ) | `[inline]`

void vlMolecule::Bond::setBondType | ( | EBondType | type | ) | `[inline]`

EBondType vlMolecule::Bond::bondType | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setAtom1 | ( | Atom * | atom | ) | `[inline]`

Atom* vlMolecule::Bond::atom1 | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setAtom2 | ( | Atom * | atom | ) | `[inline]`

Atom* vlMolecule::Bond::atom2 | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setVisible | ( | bool | visible | ) | `[inline]`

bool vlMolecule::Bond::visible | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setColor | ( | const vl::fvec4 & | color | ) | `[inline]`

const vl::fvec4& vlMolecule::Bond::color | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setUseAtomColors | ( | bool | use_atom_color | ) | `[inline]`

bool vlMolecule::Bond::useAtomColors | ( |  | ) | const`[inline]`

float vlMolecule::Bond::radius | ( |  | ) | const`[inline]`

void vlMolecule::Bond::setRadius | ( | float | radius | ) | `[inline]`

## Member Data Documentation

vl::fvec4 vlMolecule::Bond::mColor`[protected]`

float vlMolecule::Bond::mRadius`[protected]`

Atom* vlMolecule::Bond::mAtom1`[protected]`

Atom* vlMolecule::Bond::mAtom2`[protected]`

EBondType vlMolecule::Bond::mType`[protected]`

unsigned int vlMolecule::Bond::mId`[protected]`

bool vlMolecule::Bond::mVisible`[protected]`

bool vlMolecule::Bond::mUseAtomColors`[protected]`

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlMolecule/Bond.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:16 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.